/*
 * http://www.pabr.org/bricks/brickhid
 * Bluetooth communication with PS3 controller over L2CAP.
 *
 * Copyright (c) 2014 pabr@pabr.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

extern struct bthid_conn *bthid_accept();
extern void bthid_close(struct bthid_conn *);

enum ps3controller_axes {
  PS3_SELECT, PS3_START,
  PS3_UP, PS3_RIGHT, PS3_DOWN, PS3_LEFT,
  PS3_TRIANGLE, PS3_CIRCLE, PS3_CROSS, PS3_SQUARE,
  PS3_PS,
  PS3_LH, PS3_LV, PS3_RH, PS3_RV,
  PS3_L2, PS3_R2, PS3_L1, PS3_R1,
  PS3_NAXES
};
  
extern int bthid_recv_axes(struct bthid_conn *conn, int *res, int max_axes);
